Changeset 58428


Ignore:
Timestamp:
Sep 28, 2009, 5:12:30 PM (11 years ago)
Author:
snc@…
Message:

whitespace, and the removal of code forcing a variant (now that default_variant is used). sorry about the non-whitespace-only commit.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/python/py25-psycopg2/Portfile

    r58427 r58428  
    22# $Id$
    33
    4 PortSystem 1.0
    5 PortGroup python25 1.0
     4PortSystem          1.0
     5PortGroup           python25 1.0
    66
    7 name                    py25-psycopg2
    8 version                 2.0.12
    9 categories              python databases
    10 maintainers             snc openmaintainer
    11 platforms               darwin freebsd
    12 description             A python DBAPI-2.0 ompliant database adapter for postgresql
    13 long_description        Psycopg2 is a postgresql database adapter for python. \
    14                         It's fully compliant to pythons DBAPI-2.0. psycopg is \
    15                         designed for heavily multi-threaded applications \
    16                         featuring connection pooling.
     7name                py25-psycopg2
     8version             2.0.12
     9categories          python databases
     10maintainers         snc openmaintainer
     11platforms           darwin freebsd
     12description         A python DBAPI-2.0 ompliant database adapter for postgresql
     13long_description    Psycopg2 is a postgresql database adapter for python. \
     14                    It's fully compliant to pythons DBAPI-2.0. psycopg is \
     15                    designed for heavily multi-threaded applications \
     16                    featuring connection pooling.
    1717
    18 homepage                http://www.initd.org/software/initd/psycopg/
    19 master_sites            http://initd.org/pub/software/psycopg/ \
    20                         http://initd.org/pub/software/psycopg/PSYCOPG-2-0/
    21 distname                psycopg2-${version}
     18homepage            http://www.initd.org/software/initd/psycopg/
     19master_sites        http://initd.org/pub/software/psycopg/ \
     20                    http://initd.org/pub/software/psycopg/PSYCOPG-2-0/
     21distname            psycopg2-${version}
    2222checksums           md5     5c8080d0d0568479f041bb8534caf1f8 \
    2323                    sha1    a5649fced3ffc9968b21421023239f95a3a21ad3 \
    2424                    rmd160  eff28c1ab131ee55b42e0c129df88cebd79f38fd
    2525
    26 depends_lib-append      port:openssl
     26depends_lib-append  port:openssl
    2727
    28 patchfiles              patch-setup.cfg
     28patchfiles          patch-setup.cfg
    2929
    3030if {![variant_isset postgresql82] && ![variant_isset postgresql83] && ![variant_isset postgresql84]} {
    31     default_variants +postgresql84
     31    default_variants    +postgresql84
    3232}
    3333
    3434variant postgresql82 conflicts postgresql83 postgresql84 description "Build using postgresql v8.2" {
    35         depends_lib-append      port:postgresql82
     35    depends_lib-append  port:postgresql82
    3636
    37         post-patch              {
    38                 reinplace \
    39                 s|@PG_CONFIG@|${prefix}/lib/postgresql82/bin/pg_config|g \
    40                 ${worksrcpath}/setup.cfg
    41         }
    42 
     37    post-patch {
     38    reinplace \
     39        s|@PG_CONFIG@|${prefix}/lib/postgresql82/bin/pg_config|g \
     40        ${worksrcpath}/setup.cfg
     41    }
    4342}
    4443
    4544variant postgresql83 conflicts postgresql82 postgresql84 description "Build using postgresql v8.3" {
    46         depends_lib-append      port:postgresql83
     45    depends_lib-append  port:postgresql83
    4746
    48         post-patch              {
    49                 reinplace \
    50                 s|@PG_CONFIG@|${prefix}/lib/postgresql83/bin/pg_config|g \
    51                 ${worksrcpath}/setup.cfg
    52         }
    53 }
    54 
    55 pre-patch {
    56     if {![variant_isset postgresql83] && ![variant_isset postgresql82]} {
    57         return -code error "You have to choose either +postgresql82 or +postgresql83"
     47    post-patch {
     48        reinplace \
     49            s|@PG_CONFIG@|${prefix}/lib/postgresql83/bin/pg_config|g \
     50            ${worksrcpath}/setup.cfg
    5851    }
    5952}
Note: See TracChangeset for help on using the changeset viewer.